export declare const buildPostgresValue: (jsVar: any) => any;
export declare const insertQuery: (table: string, jsEntry: object) => string;
export declare const deleteQuery: (table: string, jsEntry: object) => string;
export declare const onConflictUpdate: (conflicts: Array<string>, updates: object) => string;
export declare const clearTableQuery: (table: string) => string;
export declare const selectWhereQuery: (table: string, jsEntry: object, joinWith: string) => string;
export declare const updateWhereQuery: (table: string, updates: object, wheres: object, joinWith: string) => string;
export declare const updateWhereAnyQuery: (table: string, updates: object, wheres: object) => string;
export declare const updateWhereAllQuery: (table: string, updates: object, wheres: object) => string;
export declare const selectWhereAnyQuery: (table: string, where: object) => string;
export declare const selectWhereAllQuery: (table: string, where: object) => string;
export declare const findUnique: (items: any[], noThrow?: boolean) => any;
declare const _default: {
    selectWhereAnyQuery: (table: string, where: object) => string;
    selectWhereAllQuery: (table: string, where: object) => string;
    updateWhereAnyQuery: (table: string, updates: object, wheres: object) => string;
    updateWhereAllQuery: (table: string, updates: object, wheres: object) => string;
    insertQuery: (table: string, jsEntry: object) => string;
    deleteQuery: (table: string, jsEntry: object) => string;
    buildPostgresValue: (jsVar: any) => any;
    onConflictUpdate: (conflicts: Array<string>, updates: object) => string;
    clearTableQuery: (table: string) => string;
    findUnique: (items: any[], noThrow?: boolean) => any;
};
export default _default;
