import { Request } from "express";
export interface IpRequest extends Request {
    clientIp: string;
}
export interface TokenRequest extends IpRequest {
    token?: string;
}
export interface AuthorizedTokenRequest extends IpRequest {
    token: string;
}
