export function defineContracts(contracts) {
    const defs = { ...contracts };
    Object.keys(defs).forEach((c) => (defs[c] = defs[c].meta({ vixContract: c })));
    return defs;
}
export function defineContractExport(exportTypeName, contracts) {
    const defs = { ...contracts };
    Object.keys(defs).forEach((c) => (defs[c] = defs[c].meta({ vixContract: c, vixContractExport: exportTypeName })));
    return defs;
}
