export declare interface RequestArgsBase {
    body?: any | undefined;
    json?: object | undefined;
    method?: string;
    jsonify?: boolean;
    extraHeaders?: HeadersInit;
    handleErrors?: boolean;
}
export declare interface RequestArgs extends RequestArgsBase {
    url: string;
}
export declare interface ApiRequestArgs extends RequestArgsBase {
    subpath: string;
}
export declare function rawRequest<K = any>(apiRequestArgs: RequestArgs, getAuthHeader?: () => object | undefined): Promise<any>;
export declare function apiRequest<K = any>(apiRequestArgs: ApiRequestArgs, getAuthHeader?: () => object | undefined): Promise<K>;
