// This file is taken from https://github.com/Abazhenov/express-async-handler/blob/ac681b80e088a6f74d828238359e7672e73cdc8a/index.js
// Credit to Abazhenov
// Define the asyncUtil function with TypeScript types
const asyncUtil = (fn) => {
    return function asyncUtilWrap(req, res, next) {
        const fnReturn = fn(req, res, next);
        return Promise.resolve(fnReturn).catch(next);
    };
};
export default asyncUtil;
