import { Router } from "express";
export default function entrypointRoute(base, staticRoute) {
    const router = Router();
    const redirectRoute = (_req, res) => res.redirect(base);
    router.all("/", redirectRoute); // Redirect homepage properly
    router.use(base, staticRoute); // Static Build Route
    return router;
}
