import { Router, static as serveStatic } from "express";
export default function staticRoute(staticAssetsDir, staticEntrypoint) {
    const router = Router();
    const staticRedirect = (_req, res) => res.sendFile(staticEntrypoint);
    router.use("/", serveStatic(staticAssetsDir));
    router.get("/*", staticRedirect);
    return router;
}
