import * as y from "yup";
export declare type ContractDefinitions = Record<string, y.Schema>;
export type ContractTypeDefinitions<IO extends ContractDefinitions> = {
    [K in keyof IO]: y.InferType<IO[K]>;
};
export declare function defineContracts<T extends ContractDefinitions>(contracts: T): T;
export declare function defineContractExport<T extends ContractDefinitions>(exportTypeName: string, contracts: T): T;
